Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network215.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
215.0.0.0
Broadcast address
215.255.255.255
First usable
215.0.0.1
Last usable
215.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
C (default /24)
As numbers
Hex D7000000 · Integer 3607101440 to 3623878655
Reverse DNS zone
215.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11010111..00000000.00000000.00000000215.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network11010111..00000000.00000000.00000000215.0.0.0
Broadcast11010111..11111111.11111111.11111111215.255.255.255
Split into smaller subnets/15

215.0.0.0/8 makes 128 subnets of /15.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1215.0.0.0/15215.0.0.1 to 215.1.255.254215.1.255.255131,070
2215.2.0.0/15215.2.0.1 to 215.3.255.254215.3.255.255131,070
3215.4.0.0/15215.4.0.1 to 215.5.255.254215.5.255.255131,070
4215.6.0.0/15215.6.0.1 to 215.7.255.254215.7.255.255131,070
5215.8.0.0/15215.8.0.1 to 215.9.255.254215.9.255.255131,070
6215.10.0.0/15215.10.0.1 to 215.11.255.254215.11.255.255131,070
7215.12.0.0/15215.12.0.1 to 215.13.255.254215.13.255.255131,070
8215.14.0.0/15215.14.0.1 to 215.15.255.254215.15.255.255131,070
9215.16.0.0/15215.16.0.1 to 215.17.255.254215.17.255.255131,070
10215.18.0.0/15215.18.0.1 to 215.19.255.254215.19.255.255131,070
11215.20.0.0/15215.20.0.1 to 215.21.255.254215.21.255.255131,070
12215.22.0.0/15215.22.0.1 to 215.23.255.254215.23.255.255131,070
13215.24.0.0/15215.24.0.1 to 215.25.255.254215.25.255.255131,070
14215.26.0.0/15215.26.0.1 to 215.27.255.254215.27.255.255131,070
15215.28.0.0/15215.28.0.1 to 215.29.255.254215.29.255.255131,070
16215.30.0.0/15215.30.0.1 to 215.31.255.254215.31.255.255131,070
17215.32.0.0/15215.32.0.1 to 215.33.255.254215.33.255.255131,070
18215.34.0.0/15215.34.0.1 to 215.35.255.254215.35.255.255131,070
19215.36.0.0/15215.36.0.1 to 215.37.255.254215.37.255.255131,070
20215.38.0.0/15215.38.0.1 to 215.39.255.254215.39.255.255131,070
21215.40.0.0/15215.40.0.1 to 215.41.255.254215.41.255.255131,070
22215.42.0.0/15215.42.0.1 to 215.43.255.254215.43.255.255131,070
23215.44.0.0/15215.44.0.1 to 215.45.255.254215.45.255.255131,070
24215.46.0.0/15215.46.0.1 to 215.47.255.254215.47.255.255131,070
25215.48.0.0/15215.48.0.1 to 215.49.255.254215.49.255.255131,070
26215.50.0.0/15215.50.0.1 to 215.51.255.254215.51.255.255131,070
27215.52.0.0/15215.52.0.1 to 215.53.255.254215.53.255.255131,070
28215.54.0.0/15215.54.0.1 to 215.55.255.254215.55.255.255131,070
29215.56.0.0/15215.56.0.1 to 215.57.255.254215.57.255.255131,070
30215.58.0.0/15215.58.0.1 to 215.59.255.254215.59.255.255131,070
31215.60.0.0/15215.60.0.1 to 215.61.255.254215.61.255.255131,070
32215.62.0.0/15215.62.0.1 to 215.63.255.254215.63.255.255131,070
33215.64.0.0/15215.64.0.1 to 215.65.255.254215.65.255.255131,070
34215.66.0.0/15215.66.0.1 to 215.67.255.254215.67.255.255131,070
35215.68.0.0/15215.68.0.1 to 215.69.255.254215.69.255.255131,070
36215.70.0.0/15215.70.0.1 to 215.71.255.254215.71.255.255131,070
37215.72.0.0/15215.72.0.1 to 215.73.255.254215.73.255.255131,070
38215.74.0.0/15215.74.0.1 to 215.75.255.254215.75.255.255131,070
39215.76.0.0/15215.76.0.1 to 215.77.255.254215.77.255.255131,070
40215.78.0.0/15215.78.0.1 to 215.79.255.254215.79.255.255131,070
41215.80.0.0/15215.80.0.1 to 215.81.255.254215.81.255.255131,070
42215.82.0.0/15215.82.0.1 to 215.83.255.254215.83.255.255131,070
43215.84.0.0/15215.84.0.1 to 215.85.255.254215.85.255.255131,070
44215.86.0.0/15215.86.0.1 to 215.87.255.254215.87.255.255131,070
45215.88.0.0/15215.88.0.1 to 215.89.255.254215.89.255.255131,070
46215.90.0.0/15215.90.0.1 to 215.91.255.254215.91.255.255131,070
47215.92.0.0/15215.92.0.1 to 215.93.255.254215.93.255.255131,070
48215.94.0.0/15215.94.0.1 to 215.95.255.254215.95.255.255131,070
49215.96.0.0/15215.96.0.1 to 215.97.255.254215.97.255.255131,070
50215.98.0.0/15215.98.0.1 to 215.99.255.254215.99.255.255131,070
51215.100.0.0/15215.100.0.1 to 215.101.255.254215.101.255.255131,070
52215.102.0.0/15215.102.0.1 to 215.103.255.254215.103.255.255131,070
53215.104.0.0/15215.104.0.1 to 215.105.255.254215.105.255.255131,070
54215.106.0.0/15215.106.0.1 to 215.107.255.254215.107.255.255131,070
55215.108.0.0/15215.108.0.1 to 215.109.255.254215.109.255.255131,070
56215.110.0.0/15215.110.0.1 to 215.111.255.254215.111.255.255131,070
57215.112.0.0/15215.112.0.1 to 215.113.255.254215.113.255.255131,070
58215.114.0.0/15215.114.0.1 to 215.115.255.254215.115.255.255131,070
59215.116.0.0/15215.116.0.1 to 215.117.255.254215.117.255.255131,070
60215.118.0.0/15215.118.0.1 to 215.119.255.254215.119.255.255131,070
61215.120.0.0/15215.120.0.1 to 215.121.255.254215.121.255.255131,070
62215.122.0.0/15215.122.0.1 to 215.123.255.254215.123.255.255131,070
63215.124.0.0/15215.124.0.1 to 215.125.255.254215.125.255.255131,070
64215.126.0.0/15215.126.0.1 to 215.127.255.254215.127.255.255131,070
65215.128.0.0/15215.128.0.1 to 215.129.255.254215.129.255.255131,070
66215.130.0.0/15215.130.0.1 to 215.131.255.254215.131.255.255131,070
67215.132.0.0/15215.132.0.1 to 215.133.255.254215.133.255.255131,070
68215.134.0.0/15215.134.0.1 to 215.135.255.254215.135.255.255131,070
69215.136.0.0/15215.136.0.1 to 215.137.255.254215.137.255.255131,070
70215.138.0.0/15215.138.0.1 to 215.139.255.254215.139.255.255131,070
71215.140.0.0/15215.140.0.1 to 215.141.255.254215.141.255.255131,070
72215.142.0.0/15215.142.0.1 to 215.143.255.254215.143.255.255131,070
73215.144.0.0/15215.144.0.1 to 215.145.255.254215.145.255.255131,070
74215.146.0.0/15215.146.0.1 to 215.147.255.254215.147.255.255131,070
75215.148.0.0/15215.148.0.1 to 215.149.255.254215.149.255.255131,070
76215.150.0.0/15215.150.0.1 to 215.151.255.254215.151.255.255131,070
77215.152.0.0/15215.152.0.1 to 215.153.255.254215.153.255.255131,070
78215.154.0.0/15215.154.0.1 to 215.155.255.254215.155.255.255131,070
79215.156.0.0/15215.156.0.1 to 215.157.255.254215.157.255.255131,070
80215.158.0.0/15215.158.0.1 to 215.159.255.254215.159.255.255131,070
81215.160.0.0/15215.160.0.1 to 215.161.255.254215.161.255.255131,070
82215.162.0.0/15215.162.0.1 to 215.163.255.254215.163.255.255131,070
83215.164.0.0/15215.164.0.1 to 215.165.255.254215.165.255.255131,070
84215.166.0.0/15215.166.0.1 to 215.167.255.254215.167.255.255131,070
85215.168.0.0/15215.168.0.1 to 215.169.255.254215.169.255.255131,070
86215.170.0.0/15215.170.0.1 to 215.171.255.254215.171.255.255131,070
87215.172.0.0/15215.172.0.1 to 215.173.255.254215.173.255.255131,070
88215.174.0.0/15215.174.0.1 to 215.175.255.254215.175.255.255131,070
89215.176.0.0/15215.176.0.1 to 215.177.255.254215.177.255.255131,070
90215.178.0.0/15215.178.0.1 to 215.179.255.254215.179.255.255131,070
91215.180.0.0/15215.180.0.1 to 215.181.255.254215.181.255.255131,070
92215.182.0.0/15215.182.0.1 to 215.183.255.254215.183.255.255131,070
93215.184.0.0/15215.184.0.1 to 215.185.255.254215.185.255.255131,070
94215.186.0.0/15215.186.0.1 to 215.187.255.254215.187.255.255131,070
95215.188.0.0/15215.188.0.1 to 215.189.255.254215.189.255.255131,070
96215.190.0.0/15215.190.0.1 to 215.191.255.254215.191.255.255131,070
97215.192.0.0/15215.192.0.1 to 215.193.255.254215.193.255.255131,070
98215.194.0.0/15215.194.0.1 to 215.195.255.254215.195.255.255131,070
99215.196.0.0/15215.196.0.1 to 215.197.255.254215.197.255.255131,070
100215.198.0.0/15215.198.0.1 to 215.199.255.254215.199.255.255131,070
101215.200.0.0/15215.200.0.1 to 215.201.255.254215.201.255.255131,070
102215.202.0.0/15215.202.0.1 to 215.203.255.254215.203.255.255131,070
103215.204.0.0/15215.204.0.1 to 215.205.255.254215.205.255.255131,070
104215.206.0.0/15215.206.0.1 to 215.207.255.254215.207.255.255131,070
105215.208.0.0/15215.208.0.1 to 215.209.255.254215.209.255.255131,070
106215.210.0.0/15215.210.0.1 to 215.211.255.254215.211.255.255131,070
107215.212.0.0/15215.212.0.1 to 215.213.255.254215.213.255.255131,070
108215.214.0.0/15215.214.0.1 to 215.215.255.254215.215.255.255131,070
109215.216.0.0/15215.216.0.1 to 215.217.255.254215.217.255.255131,070
110215.218.0.0/15215.218.0.1 to 215.219.255.254215.219.255.255131,070
111215.220.0.0/15215.220.0.1 to 215.221.255.254215.221.255.255131,070
112215.222.0.0/15215.222.0.1 to 215.223.255.254215.223.255.255131,070
113215.224.0.0/15215.224.0.1 to 215.225.255.254215.225.255.255131,070
114215.226.0.0/15215.226.0.1 to 215.227.255.254215.227.255.255131,070
115215.228.0.0/15215.228.0.1 to 215.229.255.254215.229.255.255131,070
116215.230.0.0/15215.230.0.1 to 215.231.255.254215.231.255.255131,070
117215.232.0.0/15215.232.0.1 to 215.233.255.254215.233.255.255131,070
118215.234.0.0/15215.234.0.1 to 215.235.255.254215.235.255.255131,070
119215.236.0.0/15215.236.0.1 to 215.237.255.254215.237.255.255131,070
120215.238.0.0/15215.238.0.1 to 215.239.255.254215.239.255.255131,070
121215.240.0.0/15215.240.0.1 to 215.241.255.254215.241.255.255131,070
122215.242.0.0/15215.242.0.1 to 215.243.255.254215.243.255.255131,070
123215.244.0.0/15215.244.0.1 to 215.245.255.254215.245.255.255131,070
124215.246.0.0/15215.246.0.1 to 215.247.255.254215.247.255.255131,070
125215.248.0.0/15215.248.0.1 to 215.249.255.254215.249.255.255131,070
126215.250.0.0/15215.250.0.1 to 215.251.255.254215.251.255.255131,070
127215.252.0.0/15215.252.0.1 to 215.253.255.254215.253.255.255131,070
128215.254.0.0/15215.254.0.1 to 215.255.255.254215.255.255.255131,070

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses